<?php
/************** Includes **********************************/
require_once '../config.php';
$mesa        = $_POST['mesa_ayuda'];
$fecha_ayuda = date('d-m-Y H:i');

$a = file_get_contents(CARPETAPROYECTO . '/modules/visitas/reservas/modulos/compra/ayuda.txt');
$a = str_replace("###fecha_hora###", $fecha_ayuda, $a);
$a = str_replace("##mesa_ayuda##", $mesa, $a);

$file = fopen(CARPETAPROYECTO . "/modules/visitas/reservas/modulos/compra/ayuda/" . date('Y-m-d-H-i') . "_ayuda_" . $mesa . ".txt", "a");
fwrite($file, print_r($a, true) . PHP_EOL);
fclose($file);

$file2 = CARPETAPROYECTO . "/modules/visitas/reservas/modulos/compra/ayuda/" . date('Y-m-d-H-i') . "_ayuda_" . $mesa . ".txt";
shell_exec('lp -d ImpresoraJIG ' . $file2);
